import { world, ItemStack } from '@minecraft/server';

world.beforeEvents.worldInitialize.subscribe((initEvent) => {
    initEvent.itemComponentRegistry.registerCustomComponent("dexten:on_use", {
        onUse(event) {
            const player = event.source;
            const { x, y, z } = player.location;
            const itemUsed = event.itemStack;
            if (itemUsed.typeId === 'dexten:bouquet_of_flowers') {
                if (player.isSneaking === true) {
                    player.runCommand(`summon dexten:gift_entity ^ ^0.4 ^0.3`);
                }
            };
            if (itemUsed.typeId === 'dexten:bouquet_of_flowers_paeonia') {
                if (player.isSneaking === true) {
                    player.runCommand(`summon dexten:gift_entity_paeonia ^ ^0.4 ^0.3`);
                }
            };
            if (itemUsed.typeId === 'dexten:bouquet_of_flowers_sunflower') {
                if (player.isSneaking === true) {
                    player.runCommand(`summon dexten:gift_entity_sunflower ^ ^0.4 ^0.3`);
                }
            }
        },
    });
});