import { world, system, EquipmentSlot, GameMode } from '@minecraft/server'
import 'dexten_on_use'

function damageItem(player, item) {
    if (!player.matches({ gameMode: `creative` })) {
        const durabilityComponent = item.getComponent("durability")

        if (durabilityComponent.damage == durabilityComponent.maxDurability) {
            return
        }
        durabilityComponent.damage += 1
        return item
    };
    if (player.matches({ gameMode: `creative` })) {
        return item
    }
};